Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IElement

    com.change_vision.jude.api.inf.model.IElement

All Superinterfaces:
  IEntity

All Implemented Interfaces:
  IEntity

All Known Implementing Classes:
  IAction, IActivity, IActivityDiagram, IActivityNode, IActivityParameterNode, IAnchor, IArtifact, IAssociation, IAssociationClass, IAttribute, IClass, IClassDiagram, IClassifierTemplateParameter, ICombinedFragment, IComment, ICommunicationDiagram, IComponent, IComponentDiagram, ICompositeStructureDiagram, IConnector, IConstraint, IControlNode, IDataFlow, IDataFlowDiagram, IDataFlowNode, IDataStore, IDependency, IDeploymentDiagram, IDiagram, IDurationConstraint, IERAttribute, IERDatatype, IERDiagram, IERDomain, IEREntity, IERIndex, IERModel, IERRelationship, IERSchema, IERSubtypeRelationship, IExtend, IExtentionPoint, IExternalEntity, IFinalState, IFlow, IGate, IGeneralization, IInclude, IInputPin, IInstanceSpecification, IInteraction, IInteractionFragment, IInteractionOperand, IInteractionUse, ILifeline, ILifelineLink, ILink, ILinkEnd, IMatrixDiagram, IMessage, IMindMapDiagram, IModel, INamedElement, INode, IObjectNode, IOperation, IOutputPin, IPackage, IParameter, IPartition, IPin, IPort, IProcessBox, IPseudostate, IRealization, IRequirement, IRequirementDiagram, IRequirementTable, ISequenceDiagram, ISlot, IState, IStateInvariant, IStateMachine, IStateMachineDiagram, ISubsystem, ITaggedValue, ITemplateBinding, ITermination, ITestCase, ITimeConstraint, ITraceabilityMap, ITransition, IUsage, IUseCase, IUseCaseDiagram, IVertex

    public IElement

extends IEntity

Interface for elements.

Method Summary
`abstract void` | `addStereotype(String stereotype)` Add a stereotype.
`abstract IComment[]` | `getComments()` Get Comments.
`abstract IElement` | `getContainer()` Get hierarchy parent including namespace.
`abstract IElement[]` | `getContainers()` Get hierarchy parents including namespace.
`abstract String` | `getId()` Get ID.
`abstract IElement` | `getOwner()` Get Namespace.
`abstract IPresentation[]` | `getPresentations()` Get Presentations.
`abstract String[]` | `getStereotypes()` Get Stereotypes.
`abstract ITaggedValue[]` | `getTaggedValues()` Get Tagged Values.
`abstract String` | `getTypeModifier()` Get Type Modifier.
`abstract boolean` | `hasStereotype(String stereotype)` True if the element has the target Stereotype.
`abstract boolean` | `hasStereotype(String stereotype)` True if the element has the target Stereotype.
`abstract boolean` | `isReadOnly()` Check if this element is read only.
`abstract void` | `removeStereotype(String stereotype)` Remove a stereotype.
`abstract void` | `setTypeModifier(String typeModifier)` Set Type Modifier.

Method Detail

### getId

    abstract String getId()

  Get ID.

  Returns:
    ID.

### getOwner

    abstract IElement getOwner()

  Get Namespace.

  Returns:
    Namespace. Return null in case there is none.

### getComments

    abstract IComment[] getComments()

  Get Comments.

  Returns:
    The array of Comments. Return the empty array if there is none.

### getStereotypes

    abstract String[] getStereotypes()

  Get Stereotypes.

  Returns:
    The array of stereotypes. Return the empty array if there is none.

### removeStereotype

    abstract void removeStereotype(String stereotype)

  Remove a stereotype.

  Parameters:
    `stereotype` - Stereotype
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### addStereotype

    abstract void addStereotype(String stereotype)

  Add a stereotype.

  Parameters:
    `stereotype` - Stereotype
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### hasStereotype

    abstract boolean hasStereotype(String stereotype)

  True if the element has the target Stereotype.

  Parameters:
    `stereotype` - Stereotype
  Returns:
    true if the element has the target Stereotype.
  Since:
    6.6.4

### getTaggedValues

    abstract ITaggedValue[] getTaggedValues()

  Get Tagged Values.

  Returns:
    the array of Tagged Values. Return the empty array if there is none.

### isReadOnly

    abstract boolean isReadOnly()

  Check if this element is read only.

  Returns:
    true the element is read only / false the element is not read only

### getTypeModifier

    abstract String getTypeModifier()

  Get Type Modifier.

  Returns:
    Type Modifier.

### setTypeModifier

    abstract void setTypeModifier(String typeModifier)

  Set Type Modifier.

  Parameters:
    `typeModifier` - Type Modifier
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              INVALID_TYPE_MODIFIER_MODEL_ERROR_KEY - if a Type Modifier cannot be set to the model.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### getContainer

    abstract IElement getContainer()

  Get hierarchy parent including namespace. If State2 is in State1 on a diagram, state1 is the parent of state2.

  Returns:
    Hierarchy parent. Return null in case there is none.

### getContainers

    abstract IElement[] getContainers()

  Get hierarchy parents including namespace. Vertical partition and horizontal partition can be got at the same time.

  Returns:
    Hierarchy parent. Return the empty array if there is none.

### getPresentations

    abstract IPresentation[] getPresentations()

  Get Presentations.

  Returns:
    the array of presentations. Return the empty array if there is none.
  Throws:
    `InvalidUsingException` - InvalidUsingException occurs.

        Keys:
              ILLEGAL_USE_ERROR_KEY - if Presentation API is used in astah* community.
         Values:
              Error messages for exceptions.

### hasStereotype

    abstract boolean hasStereotype(String stereotype)

  True if the element has the target Stereotype.

  Parameters:
    `stereotype` - Stereotype
  Returns:
    true if the element has the target Stereotype.
  Since:
    6.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD